<?php
/**
 * Menu Customizer options
 *
 * @package Theme Palace
 * @subpackage Business_Center_Pro
 * @since Business Center Pro 2.0.0
 */


// Add additonal menu section
$wp_customize->add_section( 'business_center_pro_additional_menu_options', array(
	'title'             => esc_html__( 'Additional Options','business-center-pro' ),
	'description'       => esc_html__( 'Additional menu options.', 'business-center-pro' ),
	'panel'             => 'nav_menus',
	'priority'          => 5
) );

// Enable search option.
$wp_customize->add_setting( 'business_center_pro_theme_options[menu_position]', array(
	'default'           => $options['menu_position'],
	'sanitize_callback' => 'business_center_pro_sanitize_select',
) );

$wp_customize->add_control( 'business_center_pro_theme_options[menu_position]', array(
	'label'             => esc_html__( 'Select Menu Position', 'business-center-pro' ),
	'section'           => 'business_center_pro_additional_menu_options',
	'type'				=> 'select',
	'choices'			=> array(
		'simple-header'	=> esc_html__('Simple Header','business-center-pro'),
		'mobile-menu'	=> esc_html__('Mobile Menu','business-center-pro'),
		),
) );

// Enable search option.
$wp_customize->add_setting( 'business_center_pro_theme_options[append_search]', array(
	'default'           => $options['append_search'],
	'sanitize_callback' => 'business_center_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'business_center_pro_theme_options[append_search]', array(
	'label'             => esc_html__( 'Append search bar', 'business-center-pro' ),
	'section'           => 'business_center_pro_additional_menu_options',
	'type'				=> 'checkbox'
) );

// Make menu sticky option.
$wp_customize->add_setting( 'business_center_pro_theme_options[make_menu_sticky]', array(
	'default'           => $options['make_menu_sticky'],
	'sanitize_callback' => 'business_center_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'business_center_pro_theme_options[make_menu_sticky]', array(
	'label'             => esc_html__( 'Make menu sticky', 'business-center-pro' ),
	'section'           => 'business_center_pro_additional_menu_options',
	'type'				=> 'checkbox'
) );