<?php
/**
 * Footer options
 *
 * @package Business_Center_Pro
 * @since Business Center Pro 2.0.0
 */

/*Footer Section*/
$wp_customize->add_section( 'business_center_pro_section_footer', array(
	'title'      			=> esc_html__( 'Footer Options', 'business-center-pro' ),
	'panel'      			=> 'business_center_pro_theme_options_panel',
) );

// Copyright text setting and control.
$wp_customize->add_setting( 'business_center_pro_theme_options[copyright_text]', array(
	'sanitize_callback'   => 'wp_kses_post',
	'default'             => $options['copyright_text']
) );

$wp_customize->add_control( 'business_center_pro_theme_options[copyright_text]', array(
	'label'               => esc_html__( 'Copyright', 'business-center-pro' ),
	'section'             => 'business_center_pro_section_footer',
	'type'                => 'textarea',
) );

// Powered by text setting and control.
$wp_customize->add_setting( 'business_center_pro_theme_options[powered_by]', array(
	'sanitize_callback'   => 'wp_kses_post',
	'default'             => $options['powered_by']
) );

$wp_customize->add_control( 'business_center_pro_theme_options[powered_by]', array(
	'label'               => esc_html__( 'Powered By Text', 'business-center-pro' ),
	'section'             => 'business_center_pro_section_footer',
	'type'                => 'textarea',
) );

// Scroll top visible
$wp_customize->add_setting( 'business_center_pro_theme_options[scroll_top_visible]', array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback'		=> 'business_center_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'business_center_pro_theme_options[scroll_top_visible]', array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'business-center-pro' ),
		'section'    			=> 'business_center_pro_section_footer',
		'type'		 			=> 'checkbox',
) );