<?php
/**
* Layout options
*
* @package Business_Center_Pro
* @since Business Center Pro 2.0.0
*/

// Add sidebar section
$wp_customize->add_section( 'business_center_pro_layout', array(
	'title'               => esc_html__( 'Layout','business-center-pro' ),
	'description'         => esc_html__( 'Layout section options.', 'business-center-pro' ),
	'panel'               => 'business_center_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'business_center_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'business_center_pro_sanitize_select',
	'default'             => $options['sidebar_position']
) );

$wp_customize->add_control( 'business_center_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'business-center-pro' ),
	'section'             => 'business_center_pro_layout',
	'type'                => 'select',
	'choices'			  => business_center_pro_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'business_center_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'business_center_pro_sanitize_select',
	'default'             => $options['site_layout']
) );

$wp_customize->add_control( 'business_center_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'business-center-pro' ),
	'section'             => 'business_center_pro_layout',
	'type'                => 'select',
	'choices'			  => business_center_pro_site_layout(),
) );
