<?php
/**
 * Business Center Pro metabox file.
 *
 * This is the template that includes all the other files for metaboxes of Business Center Pro theme
 *
 * @package Theme Palace
 * @since Business Center Pro 2.0.0
 */

// Include slider layout meta
require get_template_directory() . '/inc/metabox/sidebar-layout.php';

// Include portfolio template meta
require get_template_directory() . '/inc/metabox/portfolio-template.php';

// Include header image meta
require get_template_directory() . '/inc/metabox/header-image.php';

/**
 * Adds meta box to the post editing screen
 */
function business_center_pro_custom_meta() {
	// Sidebar layout meta
    add_meta_box( 'business_center_pro_sidebar_layout_meta', esc_html__( 'Sidebar Layout', 'business-center-pro' ), 'business_center_pro_sidebar_position_callback', array( 'post', 'page', 'jetpack-testimonial' ) );
	
	// Header image meta
    add_meta_box( 'business_center_pro_header_image', esc_html__( 'Header Image', 'business-center-pro' ), 'business_center_pro_header_image_callback', array( 'post', 'page' ) );

    // Portfolio category meta
    add_meta_box( 'business_center_pro_portfolio_category', esc_html__( 'Portfolio Category', 'business-center-pro' ), 'business_center_pro_portfolio_template_callback', array( 'page' ) );
}
add_action( 'add_meta_boxes', 'business_center_pro_custom_meta' );


