<?php
/**
 * Outputs the category for portfolio page template
 */
function business_center_pro_portfolio_template_callback( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'business_center_pro_nonce' );
    $categories = get_post_meta( $post->ID, 'business-center-pro-portfolio-template', true );

    $all_categories       = get_categories(); // get all default wordpress categories
    ?>

    <p>
     <label for="business-center-pro-portfolio-template" class="business-center-pro-row-title"><?php esc_html_e( 'Select Categories', 'business-center-pro' )?></label>
     <select name="business-center-pro-portfolio-template[]" id="business-center-pro-portfolio-template" multiple>
        <?php foreach ( $all_categories as $key => $category ) {
        $selected = in_array( $category->term_id, $categories ) ? 'selected' : '';
        ?>
        <option value="<?php echo esc_attr( $category->term_id );?>" <?php echo esc_attr( $selected ); ?>><?php echo esc_html( $category->name ); ?></option>
        <?php } ?>
     </select>
    </p>
    <?php
}


/**
 * Saves the page tab category input
 */
function business_center_pro_portfolio_template_meta_save( $post_id ) {

    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'business_center_pro_nonce' ] ) && wp_verify_nonce( $_POST[ 'business_center_pro_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';

    // Exits script depending on save status
    if ( $is_autosave || $is_revision || ! $is_valid_nonce ) {
        return;
    }

    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST[ 'business-center-pro-portfolio-template' ] ) ) {
        update_post_meta( $post_id, 'business-center-pro-portfolio-template', array_map( 'absint', $_POST[ 'business-center-pro-portfolio-template'] ) );
    }

}
add_action( 'save_post', 'business_center_pro_portfolio_template_meta_save' );