<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Business Center Pro 2.0.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php 
	$options = business_center_pro_get_theme_options();
	if ( ! $options['hide_featured_image'] ) {
		business_center_pro_post_thumbnail();
	}
	?>

	<header class="entry-header">
		<?php

		if ( 'post' === get_post_type() ) : ?>
			<p class="entry-meta">
				<?php 
				business_center_pro_posted_on();
				business_center_pro_posted_by(); 
				?>
			</p><!-- .entry-meta -->
		<?php
		endif;

		the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		$blog_content_type = $options['blog_content_type'];

		if ( 'content' == $blog_content_type ) {
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'business-center-pro' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'business-center-pro' ),
				'after'  => '</div>',
			) );
		} elseif ( 'excerpt' == $blog_content_type ) {
			the_excerpt();
		}
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php business_center_pro_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
