<?php
/**
 * Template part for displaying related posts.
 *
 * @package Business Center Pro 2.0.0
 */

$categories_list = wp_get_post_categories( get_the_id() );
$args = array(
	'category__in'   => $categories_list,
	'posts_per_page' => 3,
	'post__not_in'   => array( get_the_id() )
);

$query = new WP_Query( $args );

if ( $query->have_posts() ) {
?>

	<section id="related-articles" class="three-columns">
		<div class="container">
		  	<header class="entry-header">
		    	<h2 class="entry-title"><?php esc_html_e( 'You may also like...', 'business-center-pro' );?></h2>
		  	</header>
		  	<?php

		  	while ( $query->have_posts() ) {
		  		$query->the_post();
				get_template_part( 'template-parts/content', get_post_format() );
		  	}
		  	wp_reset_postdata();
		  	?>

		</div><!-- .container -->
	</section>
<?php
}